PMLOGGER_MERGE(1)

NAME
pmlogger_merge - helper script to merge Performance Co-Pilot archives

SYNOPSIS
$PCP_BINADM_DIR/pmlogger_merge [-fNVE?] [input-basename ... output-name]

DESCRIPTION
pmlogger_merge is a helper script that is used by pmlogger_daily(1) when merging all of the Performance Co-Pilot (PCP) archives for a single host on a single day into a combined PCP archive.

pmlogger_merge is a wrapper script for pmlogextract(1) that merges all of the archive logs matching the input-basename arguments, and creates a new archive using output-name as the base name for the physical files that constitute an archive log. The input-basename arguments may contain meta characters in the style of sh(1).

OPTIONS
The available command line options are:

-f, --force
    This option causes all of the input files to be removed once the output archive has been created.

-N, --showme
    Runs pmlogger_merge in a ``show me'' or ``dry run'' mode where the tasks that would be performed are reported, but no changes are made. This is typically used for debugging in combination with one (verbose) or two (very verbose) -V options.

-V, --verbose
    Increase verbosity in the output progress report.

-E, --expunge
    When metric metadata differences are encountered between archives to be merged, the default behaviour is for pmlogger_merge to fail with a fatal error and the output-name archive is not created. The -E flag instead issues a warning and excludes the affected metrics from the merged output archive. This is intended for automated daily log rotation where it is highly desirable for unattended daily archive merging, rewriting and compression to succeed. See also pmlogger_daily(1) and the -x flag to pmlogextract(1).

-?, --help
    Display usage message and exit.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmlogextract(1), pmlogger(1) and pmlogger_daily(1).